import * as React from 'react';
import { IgrScatterBase, IIgrScatterBaseProps } from "./igr-scatter-base";
import { ScatterSplineSeries } from "./ScatterSplineSeries";
/**
 * Represents a IgxDataChartComponent scatter spline series
*/
export declare class IgrScatterSplineSeries extends IgrScatterBase<IIgrScatterSplineSeriesProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): ScatterSplineSeries;
    /**
                                 * @hidden
                                 */
    get i(): ScatterSplineSeries;
    constructor(props: IIgrScatterSplineSeriesProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the current series shows a spline shape.
    */
    get isSpline(): boolean;
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness(): number;
    set stiffness(v: number);
}
export interface IIgrScatterSplineSeriesProps extends IIgrScatterBaseProps {
    /**
     * Gets or sets the Stiffness property.
    */
    stiffness?: number | string;
}
